Bug 1725103 - Review Request: gnome-shell-extension-gamemode - GameMode integration for GNOME Shell
Summary: Review Request: gnome-shell-extension-gamemode - GameMode integration for GNO...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Korbar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-28 12:45 UTC by Christian Kellner
Modified: 2019-08-15 07:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-15 07:26:27 UTC
tkorbar: fedora-review+


Attachments (Terms of Use)
Logs from journal (5.73 KB, text/plain)
2019-07-01 11:54 UTC, Tomas Korbar
no flags Details

Description Christian Kellner 2019-06-28 12:45:08 UTC
Scratch build URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=35890221
Spec URL: https://github.com/gicmo/spec/blob/master/gamemode-extension/gnome-shell-extension-gamemode.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/222/35890222/gnome-shell-extension-gamemode-1-1.fc31.src.rpm
Upstream URL: https://github.com/gicmo/gamemode-extension/

Description:
GNOME Shell extension to integrate with GameMode. Can display
an icon when GameMode is active and also emit notifications
when the global GameMode status changes
.
Fedora Account System Username: gicmo

Comment 1 Tomas Korbar 2019-07-01 09:24:11 UTC
Hi Christian,
Your upstream says that this extension only works with gamemode >= 1.4 but that version has not been released yet.
Am i missing something or you are waiting for a version of gamemode that is yet to be released?

Comment 2 Christian Kellner 2019-07-01 09:36:36 UTC
Hey, sorry, I should have noted that. Yeah, it needs gamemode 1.4, which indeed is not released yet; I wanted to have that package ready to go once 1.4 is ready.

Comment 3 Tomas Korbar 2019-07-01 11:53:24 UTC
There is another problem. I installed your extension but i am not able to enable it with tweaks tool, because of 'Error loading extension'.
Tested on Fedora rawhide with gnome-shell-3.33.3-1.fc31
I will add associated logs from journal to attachments.

Comment 4 Tomas Korbar 2019-07-01 11:54:39 UTC
Created attachment 1586249 [details]
Logs from journal

These are the the logs.

Comment 5 Christian Kellner 2019-07-02 16:53:00 UTC
Apparently, GNOME Shell master (3.33), which is in rawhide, introduced API changes. I added a patch to adapt to those.

New build: https://koji.fedoraproject.org/koji/taskinfo?taskID=36006432
Spec file and patch: https://github.com/gicmo/spec/tree/master/gamemode-extension

Comment 6 Tomas Korbar 2019-07-06 05:22:29 UTC
Hi Christian,
The problem seems fixed now. Because you changed required version of gnome-shell to 3.33 i suppose you do not want to add this package to f30.
If it is so, you should commit the fix upstream or create issue and add link to specfile.
Otherwise i have not found any problem with specfile but i do not think the package can be approved before gamemode 1.4 is in rawhide, because without it it does not work as described.
I think we should wait with this and after gamemode 1.4 is in rawhide you should change 'Suggests: gamemode' to 'Requires: gamemode' to prevent any confusion for user.
After these things are done i am prepared to approve the package.

Comment 7 Christian Kellner 2019-07-21 11:44:27 UTC
gamemode-1.4 is out and I packaged it for rawhide: https://koji.fedoraproject.org/koji/buildinfo?buildID=1316880 and updated the spec file to require it: https://github.com/gicmo/spec/blob/master/gamemode-extension/gnome-shell-extension-gamemode.spec#L13

Comment 8 Tomas Korbar 2019-07-23 09:01:35 UTC
Hi Christian,
Glad to hear that. Everything seems to be working. Approving package.
Good job.

Comment 9 Gwyn Ciesla 2019-07-24 12:47:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gnome-shell-extension-gamemode


Note You need to log in before you can comment on or make changes to this bug.